%define	hotplugdir	/etc/hotplug

Summary:	Linux Hotplug Scripts
Name:		hotplug
Group:		Applications/System
License:	GPL
Version:	2004_03_29
Release:	2
BuildArch:	noarch
Source0:	http://aleron.dl.sourceforge.net/sourceforge/linux-hotplug/%{name}-%{version}.tar.gz
Patch0:		hotplug-2004_03_29-init.d-gd-1.diff
Patch1:		hotplug-2004_03_29-quiet-gd-1.diff
Patch2:		hotplug-2004_03_29-no-usbmodules-gd-1.diff
Prereq:		/sbin/chkconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This package contains the scripts necessary for hotplug Linux support.

%files
  %defattr(-,root,root)
  %doc README ChangeLog
  %doc %{_mandir}/man8/hotplug.8*

  %attr(0750,root,admin)	%dir %{_sysconfdir}/hotplug
  %attr(0750,root,admin)	%dir %{_sysconfdir}/hotplug/usb
  %attr(0750,root,admin)	%dir %{_sysconfdir}/hotplug.d/default

  %attr(0750,root,admin)	%{_sysconfdir}/hotplug/*.agent
  %attr(0640,root,admin)	%{_sysconfdir}/hotplug/*.distmap
  %attr(0640,root,admin)	%{_sysconfdir}/hotplug/*.handmap
  %attr(0640,root,admin)	%{_sysconfdir}/hotplug/*.usermap
  %attr(0750,root,admin)	%{_sysconfdir}/hotplug/*.rc
  %attr(0640,root,admin)	%{_sysconfdir}/hotplug/blacklist
  %attr(0640,root,admin)	%{_sysconfdir}/hotplug/hotplug.functions
  %attr(0750,root,admin)	%{_sysconfdir}/hotplug.d/default/default.hotplug

  %attr(0700,root,root)		%{_sysconfdir}/init.d/hotplug
  %attr(0700,root,root)		%{_sbindir}/hotplug

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # Move these where they belong.
  mv $RPM_BUILD_ROOT/%{_prefix}/%{_sysconfdir} $RPM_BUILD_ROOT/%{_sysconfdir}
  mv $RPM_BUILD_ROOT/%{_prefix}/%{_var}        $RPM_BUILD_ROOT/%{_var}

  # Remove unpackaged files.
  rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/pci
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/pci.agent
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/pci.rc

%post
  /sbin/chkconfig --add hotplug

%preun
  if [ "$1" = 0 ] ; then
	/etc/init.d/hotplug stop > /dev/null 2>&1
	/sbin/chkconfig --del hotplug
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 09 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2004_03_29, Release 2
  - We don't ship usbmodules so don't look for it.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2004_03_29, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
